pydo.nfs.get()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.nfs.get(nfs_id="0a1b2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d", region=None)
Returns JSONRaises HttpResponseError

Description

To get an NFS share, send a GET request to /v2/nfs/{nfs_id}?region=${region}.

A successful request will return the NFS share.

Parameters

nfs_id string required

The unique ID of the NFS share

region string optional

The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.

Response Example

Show Response Example
{
  "share": {
    "id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
    "name": "sammy-share-drive",
    "size_gib": 1024,
    "region": "atl1",
    "status": "ACTIVE",
    "created_at": "2023-01-01T00:00:00Z",
    "vpc_ids": [
      "796c6fe3-2a1d-4da2-9f3e-38239827dc91"
    ],
    "performance_tier": "PERFORMANCE_TIER_HIGH",
    "mount_path": "/123456/your-nfs-share-uuid",
    "host": "10.128.32.2",
    "access_points": [
      {
        "id": "becd9f04-8afa-4ccd-b03e-9676447df603",
        "name": "default",
        "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
        "path": "/",
        "status": "ACCESS_POINT_ACTIVE",
        "is_default": true,
        "created_at": "2026-06-25T08:10:29Z",
        "updated_at": "2026-06-25T08:10:37Z",
        "access_policy": {
          "anonuid": 65534,
          "anongid": 65534,
          "protocols": [
            "NFS4",
            "NFS"
          ],
          "squash_config": "ROOT_SQUASH",
          "identity_enforcement_enabled": false
        }
      },
      {
        "id": "7659ce91-354d-4f61-9cda-ae2c7feb61d9",
        "name": "other-vpc",
        "share_id": "baf4827c-6fa9-456f-9dbd-9ddfcacd0720",
        "path": "/other-vpc",
        "vpc_id": "3f34cdb2-1e4f-4100-b5c7-f55f2762085f",
        "status": "ACCESS_POINT_ACTIVE",
        "is_default": false,
        "created_at": "2026-06-25T08:11:12Z",
        "updated_at": "2026-06-25T08:11:16Z",
        "access_policy": {
          "anonuid": 65534,
          "anongid": 65534,
          "protocols": [
            "NFS4",
            "NFS"
          ],
          "squash_config": "ROOT_SQUASH",
          "identity_enforcement_enabled": false
        }
      }
    ]
  }
}

More Information

See /v2/nfs/{nfs_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.